reducers-3.12.1: Semigroups, specialized containers and a general map/reduce framework

Copyright | (c) Edward Kmett 2009-2011
License | BSD-style
Maintainer | ekmett@gmail.com
Stability | experimental
Portability | non-portable (MPTCs)
Safe Haskell | Safe
Language | Haskell98

Data.Semigroup.Reducer.With

Description

Synopsis

- newtype WithReducer m c = WithReducer {
  - withoutReducer :: c
  }

# Documentation

newtype WithReducer m c Source

If `m` is a `c`-Reducer, then m is `(c `WithReducer` m)`-Reducer This can be used to quickly select a Reducer for use as a `FingerTree` `measure`.

Constructors

WithReducer |

Fields

withoutReducer :: c

Instances

(Monoid m, Reducer c m) => Measured m (WithReducer m c) Source |
Functor (WithReducer m) Source |
Foldable (WithReducer m) Source |
Traversable (WithReducer m) Source |
Traversable1 (WithReducer m) Source |
Foldable1 (WithReducer m) Source |
Eq c => Eq (WithReducer m c) Source |
Ord c => Ord (WithReducer m c) Source |
Read c => Read (WithReducer m c) Source |
Show c => Show (WithReducer m c) Source |
Hashable c => Hashable (WithReducer m c) Source |
Reducer c m => Reducer (WithReducer m c) m Source |